org.apache.tinkerpop.gremlin.structure.io.binary

## Class GraphBinaryIo

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.binary.GraphBinaryIo

- All Implemented Interfaces:
    Io

      public class GraphBinaryIo
      extends Object
      implements Io

  This is a dummy implementation of `Io` which is only used in the context of helping to configure a GraphBinary `MessageSerializer` with an `IoRegistry`. It's methods are not implemented.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.io.Io

      `Io.Builder<I extends Io>, Io.Exceptions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphBinaryIo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Mapper.Builder` | `mapper()` Constructs a `Mapper.Builder` which is responsible for constructing the abstraction over different serialization methods.
    `GraphReader.ReaderBuilder` | `reader()` Creates a `GraphReader.ReaderBuilder` implementation .
    `void` | `readGraph(String file)` Read a `Graph` from file using the default configuration of the `Io.reader()` and its supplied `Io.mapper()`.
    `void` | `writeGraph(String file)` Write a `Graph` to file using the default configuration of the `Io.writer()` and its supplied `Io.mapper()`.
    `GraphWriter.WriterBuilder` | `writer()` Creates a `GraphWriter.WriterBuilder` implementation .

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphBinaryIo

          public GraphBinaryIo()

  - ### Method Detail

    - #### reader

          public GraphReader.ReaderBuilder reader()

      Description copied from interface: `Io`
      Creates a `GraphReader.ReaderBuilder` implementation . Implementers should call the `Io.mapper()` function to feed its result to the builder. In this way, custom class serializers registered to the `Mapper.Builder` by `Graph` implementations will end up being used for the serialization process.
      Specified by:
        `reader` in interface `Io`

    - #### writer

          public GraphWriter.WriterBuilder writer()

      Description copied from interface: `Io`
      Creates a `GraphWriter.WriterBuilder` implementation . Implementers should call the `Io.mapper()` function to feed its result to the builder. In this way, custom class serializers registered to the `Mapper.Builder` by `Graph` implementations will end up being used for the serialization process.
      Specified by:
        `writer` in interface `Io`

    - #### mapper

          public Mapper.Builder mapper()

      Description copied from interface: `Io`
      Constructs a `Mapper.Builder` which is responsible for constructing the abstraction over different serialization methods. Implementations should set defaults as required, but most importantly need to make the appropriate call to `Mapper.Builder.addRegistry(IoRegistry)` which will provide the builder with any required custom serializers of the `Graph`.
      Specified by:
        `mapper` in interface `Io`

    - #### writeGraph

          public void writeGraph(String file)
                          throws IOException

      Description copied from interface: `Io`
      Write a `Graph` to file using the default configuration of the `Io.writer()` and its supplied `Io.mapper()`.
      Specified by:
        `writeGraph` in interface `Io`
      Throws:
        `IOException`

    - #### readGraph

          public void readGraph(String file)
                         throws IOException

      Description copied from interface: `Io`
      Read a `Graph` from file using the default configuration of the `Io.reader()` and its supplied `Io.mapper()`.
      Specified by:
        `readGraph` in interface `Io`
      Throws:
        `IOException`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.